BaseElement (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class BaseElement

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractBranch
              org.dom4j.tree.AbstractElement
                  org.dom4j.tree.BaseElement

All Implemented Interfaces:
  Branch, Cloneable, Element, Node, Serializable

Direct Known Subclasses:
  NonLazyElement

public class BaseElement
extends AbstractElement

`BaseElement` is a useful base class for implemementation inheritence of an XML element.

Version:
  $Revision: 1.9 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary
`protected List` | `attributes` list of attributes
`protected List` | `content` List of content nodes.

Fields inherited from class org.dom4j.tree.AbstractElement
`EMPTY_ITERATOR, EMPTY_LIST, USE_STRINGVALUE_SEPARATOR, VERBOSE_TOSTRING`

Fields inherited from class org.dom4j.tree.AbstractBranch
`DEFAULT_CONTENT_LIST_SIZE`

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`BaseElement(QName qname)`
`BaseElement(String name)`
`BaseElement(String name, Namespace namespace)`

Method Summary
`protected List` | `attributeList()` DOCUMENT ME!
`protected List` | `attributeList(int size)` DOCUMENT ME!
`void` | `clearContent()` Clears the content for this branch, removing any `Node` instances this branch may contain.
`protected List` | `contentList()` DOCUMENT ME!
`Document` | `getDocument()` `getDocument` returns the `Document` that this `Node` is part of if this node supports the parent relationship.
`Element` | `getParent()` `getParent` returns the parent `Element` if this node supports the parent relationship or null if it is the root element or does not support the parent relationship.
`QName` | `getQName()` Returns the `QName` of this element which represents the local name, the qualified name and the `Namespace`.
`protected void` | `setAttributeList(List attributeList)`
`void` | `setAttributes(List attributes)` Sets the attributes that this element contains
`void` | `setContent(List content)` Sets the contents of this branch as a `List` of `Node` instances.
`void` | `setDocument(Document document)` `setDocument` sets the document of this node if the parent relationship is supported or does nothing if the parent relationship is not supported.
`void` | `setParent(Element parent)` `setParent` sets the parent relationship of this node if the parent relationship is supported or does nothing if the parent relationship is not supported.
`void` | `setQName(QName name)` Sets the `QName` of this element which represents the local name, the qualified name and the `Namespace`.
`boolean` | `supportsParent()` `supportsParent` returns true if this node supports the parent relationship.

Methods inherited from class org.dom4j.tree.AbstractElement
`accept, add, add, add, add, add, add, add, add, add, addAttribute, addAttribute, addCDATA, addComment, addElement, addEntity, additionalNamespaces, additionalNamespaces, addNamespace, addNewNode, addNewNode, addNode, addNode, addProcessingInstruction, addProcessingInstruction, addText, appendAttributes, asXML, attribute, attribute, attribute, attribute, attributeCount, attributeIterator, attributes, attributeValue, attributeValue, attributeValue, attributeValue, childAdded, childRemoved, createAttributeList, createAttributeList, createCopy, createCopy, createCopy, createElement, createElement, createSingleIterator, declaredNamespaces, element, element, element, elementIterator, elementIterator, elementIterator, elementIterator, elements, elements, elements, elements, elementText, elementText, elementTextTrim, elementTextTrim, ensureAttributesCapacity, getData, getDocumentFactory, getName, getNamespace, getNamespaceForPrefix, getNamespaceForURI, getNamespacePrefix, getNamespacesForURI, getNamespaceURI, getNodeType, getPath, getQName, getQualifiedName, getStringValue, getUniquePath, getXPathNameStep, getXPathResult, hasMixedContent, indexOf, isRootElement, isTextOnly, node, nodeCount, nodeIterator, normalize, processingInstruction, processingInstructions, processingInstructions, remove, remove, remove, remove, remove, remove, remove, remove, remove, removeNode, removeProcessingInstruction, setAttributes, setAttributeValue, setAttributeValue, setData, setName, setNamespace, setText, toString, write`

Methods inherited from class org.dom4j.tree.AbstractBranch
`addElement, addElement, addElement, appendContent, content, contentRemoved, createContentList, createContentList, createEmptyList, createResultList, createSingleResultList, elementByID, elementID, getContentAsStringValue, getContentAsText, getText, getTextTrim, hasContent, invalidNodeTypeAddException, isReadOnly, setProcessingInstructions`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, clone, createPattern, createXPath, createXPathFilter, createXPathResult, detach, getNodeTypeName, getPath, getUniquePath, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.dom4j.Element
`getText, getTextTrim`

Methods inherited from interface org.dom4j.Branch
`addElement, addElement, appendContent, content, elementByID, setProcessingInstructions`

Methods inherited from interface org.dom4j.Node
`asXPathResult, clone, createXPath, detach, getNodeTypeName, getPath, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, valueOf`

Field Detail

### content

    protected List content

  List of content nodes.

### attributes

    protected List attributes

  list of attributes

Constructor Detail

### BaseElement

    public BaseElement(String name)

### BaseElement

    public BaseElement(QName qname)

### BaseElement

    public BaseElement(String name,
                       Namespace namespace)

Method Detail

### getParent

    public Element getParent()

  Description copied from interface: `Node`

  `getParent` returns the parent `Element` if this node supports the parent relationship or null if it is the root element or does not support the parent relationship.

  This method is an optional feature and may not be supported for all `Node` implementations.

  Specified by:
    `getParent` in interface `Node`
  Overrides:
    `getParent` in class `AbstractNode`

### setParent

    public void setParent(Element parent)

  Description copied from interface: `Node`

  `setParent` sets the parent relationship of this node if the parent relationship is supported or does nothing if the parent relationship is not supported.

  This method should only be called from inside an `Element` implementation method and is not intended for general use.

  Specified by:
    `setParent` in interface `Node`
  Overrides:
    `setParent` in class `AbstractNode`

### getDocument

    public Document getDocument()

  Description copied from interface: `Node`

  `getDocument` returns the `Document` that this `Node` is part of if this node supports the parent relationship.

  This method is an optional feature and may not be supported for all `Node` implementations.

  Specified by:
    `getDocument` in interface `Node`
  Overrides:
    `getDocument` in class `AbstractNode`

### setDocument

    public void setDocument(Document document)

  Description copied from interface: `Node`

  `setDocument` sets the document of this node if the parent relationship is supported or does nothing if the parent relationship is not supported.

  This method should only be called from inside a `Document` implementation method and is not intended for general use.

  Specified by:
    `setDocument` in interface `Node`
  Overrides:
    `setDocument` in class `AbstractNode`

### supportsParent

    public boolean supportsParent()

  Description copied from interface: `Node`

  `supportsParent` returns true if this node supports the parent relationship.

  Some XML tree implementations are singly linked and only support downward navigation through children relationships. The default case is that both parent and children relationships are supported though for memory and performance reasons the parent relationship may not be supported.

  Specified by:
    `supportsParent` in interface `Node`
  Overrides:
    `supportsParent` in class `AbstractNode`

### getQName

    public QName getQName()

  Description copied from interface: `Element`

  Returns the `QName` of this element which represents the local name, the qualified name and the `Namespace`.

  Returns:
    the `QName` associated with this element

### setQName

    public void setQName(QName name)

  Description copied from interface: `Element`

  Sets the `QName` of this element which represents the local name, the qualified name and the `Namespace`.

  Parameters:
    `name` - is the `QName` to be associated with this element

### clearContent

    public void clearContent()

  Description copied from interface: `Branch`
  Clears the content for this branch, removing any `Node` instances this branch may contain.

### setContent

    public void setContent(List content)

  Description copied from interface: `Branch`
  Sets the contents of this branch as a `List` of `Node` instances.

  Parameters:
    `content` - is the list of nodes to use as the content for this branch.

### setAttributes

    public void setAttributes(List attributes)

  Description copied from interface: `Element`
  Sets the attributes that this element contains

  Parameters:
    `attributes` - DOCUMENT ME!

### contentList

    protected List contentList()

  Description copied from class: `AbstractBranch`
  DOCUMENT ME!

  Specified by:
    `contentList` in class `AbstractBranch`
  Returns:
    the internal List used to manage the content

### attributeList

    protected List attributeList()

  Description copied from class: `AbstractElement`
  DOCUMENT ME!

  Specified by:
    `attributeList` in class `AbstractElement`
  Returns:
    the internal List used to store attributes or creates one if one is not available

### attributeList

    protected List attributeList(int size)

  Description copied from class: `AbstractElement`
  DOCUMENT ME!

  Specified by:
    `attributeList` in class `AbstractElement`
  Parameters:
    `size` - DOCUMENT ME!
  Returns:
    the internal List used to store attributes or creates one with the specified size if one is not available

### setAttributeList

    protected void setAttributeList(List attributeList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.